package net.ulno.android.greet02;

import android.media.MediaPlayer;
import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.widget.Toast;

public class Greeting extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_greeting);
	}
	
	protected MediaPlayer mp = null;
	
	public void buttonPressed(View v) {
		Toast.makeText(Greeting.this, R.string.greet_msg_land, Toast.LENGTH_SHORT).show();
		if ( mp == null )
		{
			mp = MediaPlayer.create(Greeting.this, R.raw.happy);
			mp.start();
		}
		else
		{
			if( mp.isPlaying() )
			{
				mp.pause();
			}
			else
			{
				mp.start();
			}
		}
		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.greeting, menu);
		return true;
	}

}
